edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter

## Class ICU4JBreakIteratorSentenceSplitter

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.AbstractSentenceSplitter
    - - edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.ICU4JBreakIteratorSentenceSplitter

- All Implemented Interfaces:
    SentenceSplitter, IsCloseable, UsesLogger
  Direct Known Subclasses:
    DefaultSentenceSplitter

      public class ICU4JBreakIteratorSentenceSplitter
      extends AbstractSentenceSplitter
      implements SentenceSplitter

  Splits text into sentences using regular expressions.

  Uses a the ICU4J BreakIterator to identify candidate sentences. Several heuristics are used to correct the initial sentence identification.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.AbstractSentenceSplitter

      `abbreviations, disallowedSentenceStarters, logger, names, partOfSpeechGuesser, sentenceSplitterIterator, wordTokenizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICU4JBreakIteratorSentenceSplitter()` Create regular expression sentence extractor.
    `ICU4JBreakIteratorSentenceSplitter(java.util.Locale locale)` Create regular expression sentence extractor for locale.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.AbstractSentenceSplitter

      `addSentence, addSentenceBad, extractSentences, extractSentences, findSentenceOffsets, fixUpSentence, getLogger, isClosingPunctuationOnly, isNoun, isPronoun, isProperNoun, isVerb, quoteOnlySentence, setAbbreviations, setLogger, setPartOfSpeechGuesser, setSentenceSplitterIterator, splitSentenceWordList, verbSeen`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.SentenceSplitter

      `extractSentences, extractSentences, findSentenceOffsets, setAbbreviations, setPartOfSpeechGuesser, setSentenceSplitterIterator`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### ICU4JBreakIteratorSentenceSplitter

          public ICU4JBreakIteratorSentenceSplitter()

      Create regular expression sentence extractor.

    - #### ICU4JBreakIteratorSentenceSplitter

          public ICU4JBreakIteratorSentenceSplitter(java.util.Locale locale)

      Create regular expression sentence extractor for locale.